CMSIS-Driver: Data Fields

| CMSIS-Driver Version 2.6.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - p -

- page_count : ARM_NAND_ECC_INFO
- page_layout : ARM_NAND_ECC_INFO
- page_size : ARM_FLASH_INFO , ARM_NAND_ECC_INFO
- PHY_Read : ARM_DRIVER_ETH_MAC
- PHY_Write : ARM_DRIVER_ETH_MAC
- PipeCreate : ARM_DRIVER_USBH
- PipeDelete : ARM_DRIVER_USBH
- PipeModify : ARM_DRIVER_USBH
- PipeReset : ARM_DRIVER_USBH
- PipeTransfer : ARM_DRIVER_USBH
- PipeTransferAbort : ARM_DRIVER_USBH
- PipeTransferGetResult : ARM_DRIVER_USBH
- port_mask : ARM_USBH_CAPABILITIES , ARM_USBH_HCI_CAPABILITIES
- PortGetState : ARM_DRIVER_USBH
- PortReset : ARM_DRIVER_USBH
- PortResume : ARM_DRIVER_USBH
- PortSuspend : ARM_DRIVER_USBH
- PortVbusOnOff : ARM_DRIVER_USBH , ARM_DRIVER_USBH_HCI
- PowerControl : ARM_DRIVER_CAN , ARM_DRIVER_ETH_MAC , ARM_DRIVER_ETH_PHY , ARM_DRIVER_FLASH , ARM_DRIVER_I2C , ARM_DRIVER_MCI , ARM_DRIVER_NAND , ARM_DRIVER_SAI , ARM_DRIVER_SPI , ARM_DRIVER_STORAGE , ARM_DRIVER_USART , ARM_DRIVER_USBD , ARM_DRIVER_USBH , ARM_DRIVER_USBH_HCI
- precision_timer : ARM_ETH_MAC_CAPABILITIES
- program_cycles : ARM_STORAGE_INFO
- program_unit : ARM_FLASH_INFO , ARM_STORAGE_INFO
- ProgramData : ARM_DRIVER_FLASH , ARM_DRIVER_STORAGE
- programmability : ARM_STORAGE_INFO
- programmable : ARM_STORAGE_BLOCK_ATTRIBUTES
- protectable : ARM_STORAGE_BLOCK_ATTRIBUTES
- protection_unit : ARM_STORAGE_BLOCK_ATTRIBUTES
- protocol_ac97 : ARM_SAI_CAPABILITIES
- protocol_i2s : ARM_SAI_CAPABILITIES
- protocol_justified : ARM_SAI_CAPABILITIES
- protocol_pcm : ARM_SAI_CAPABILITIES
- protocol_user : ARM_SAI_CAPABILITIES